Error
A valid request URL is required to generate request examples"<string>"{
"event_id": "<string>",
"type": "<string>",
"is_vikat_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "openai",
"model_requested": "<string>",
"request_type": "<string>"
}
}OpenAI Integration
Download generated video content
Streams the binary video bytes for a completed generation job.
GET
/
openai
/
v1
/
videos
/
{video_id}
/
content
Error
A valid request URL is required to generate request examples"<string>"{
"event_id": "<string>",
"type": "<string>",
"is_vikat_error": true,
"status_code": 123,
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"event_id": "<string>"
},
"extra_fields": {
"provider": "openai",
"model_requested": "<string>",
"request_type": "<string>"
}
}Authorizations
BearerAuthBasicAuthVirtualKeyAuthApiKeyAuth
Bearer token authentication. Use your provider API key or Vikat authentication token.
Virtual keys (prefixed with sk-vk-, or the legacy sk-bf-) can also be passed here.
Path Parameters
Response
Raw video bytes
The response is of type file.

